{% extends "base.html" %}
{% load i18n %}

{% block title %}
Leden
{% endblock %}

{% block banner %}
    <h1 class="title">{% trans "Verjaardagen" %}</h1>
{% endblock %}

{% block body %}
    <h2 class="subtitle">{{date|date:"F"|title}}</h2>
    <div class="birthdays-buttons">
        <a href="?maand=1"class="button is-link">
            {% trans "Jan" %}
        </a>
        <a href="?maand=2"class="button is-link">
            {% trans "Feb" %}
        </a>
        <a href="?maand=3"class="button is-link">
            {% trans "Mrt" %}
        </a>
        <a href="?maand=4"class="button is-link">
            {% trans "Apr" %}
        </a>
        <a href="?maand=5"class="button is-link">
            {% trans "Mei" %}
        </a>
        <a href="?maand=6"class="button is-link">
            {% trans "Jun" %}
        </a>
        <a href="?maand=7"class="button is-link">
            {% trans "Jul" %}
        </a>
        <a href="?maand=8"class="button is-link">
            {% trans "Aug" %}
        </a>
        <a href="?maand=9"class="button is-link">
            {% trans "Sep" %}
        </a>
        <a href="?maand=10"class="button is-link">
            {% trans "Okt" %}
        </a>
        <a href="?maand=11"class="button is-link">
            {% trans "Nov" %}
        </a>
        <a href="?maand=12"class="button is-link">
            {% trans "Dec" %}
        </a>
    </div>
    <div class="birthdays-table">
        {% for day, persons in persons_by_date %}
            <div class="birthdays-day">
                <h3 class="is-size-5 has-text-weight-bold birthdays-headline">{{day}}</h3>
                <div>
                    {% for person in persons %}
                        <a href="{% url 'members:detail' person.id %}">{{person.full_name}}</a> ({{person.birth_date.year}})
                    <br>
                    {% endfor %}
                </div>
            </div>
        {% endfor %}
    </div>
    <div class="birthdays-buttons">
        <a href="?maand=1"class="button is-link">
            {% trans "Jan" %}
        </a>
        <a href="?maand=2"class="button is-link">
            {% trans "Feb" %}
        </a>
        <a href="?maand=3"class="button is-link">
            {% trans "Mrt" %}
        </a>
        <a href="?maand=4"class="button is-link">
            {% trans "Apr" %}
        </a>
        <a href="?maand=5"class="button is-link">
            {% trans "Mei" %}
        </a>
        <a href="?maand=6"class="button is-link">
            {% trans "Jun" %}
        </a>
        <a href="?maand=7"class="button is-link">
            {% trans "Jul" %}
        </a>
        <a href="?maand=8"class="button is-link">
            {% trans "Aug" %}
        </a>
        <a href="?maand=9"class="button is-link">
            {% trans "Sep" %}
        </a>
        <a href="?maand=10"class="button is-link">
            {% trans "Okt" %}
        </a>
        <a href="?maand=11"class="button is-link">
            {% trans "Nov" %}
        </a>
        <a href="?maand=12"class="button is-link">
            {% trans "Dec" %}
        </a>
    </div>
{% endblock %}
